Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

Oracle Installer upgrade from 9.2.0.7 naar 9.2.0.8

SOLVED
Go to solution
Rob van Buiten
Regular Advisor

Oracle Installer upgrade from 9.2.0.7 naar 9.2.0.8

HP-UX 11.11
Oracle 9.2.0.7
==============

Hi,

I want to upgrade to 9.2.0.8
and can't find path for shared library: libjvm.sl
=======================================

>>>:/oraclebackups/ora_928_patchfiles/Disk1 # runInstaller
Starting Oracle Universal Installer...

Checking installer requirements...

Checking operating system version: must be B.11.11. Actual B.11.11
Passed

Checking swap space: must be greater than 150 MB. Actual 18432MB Passed

All installer requirements met.

Preparing to launch Oracle Universal Installer from /oraclebackups/OraInstall2007-05-09_09-53-32AM. Please wait ...un0004:/oraclebackups/ora_928_patchfiles/Disk1 # /usr/lib/dld.sl: Can't find path for shared library: libjvm.sl
/usr/lib/dld.sl: No such file or directory

====================================
====================================
====================================

AFTER THAT I EXPORTED SHLIB_PATH

SHLIB_PATH=/usr/lib
export SHLIB_PATH

After that all seems to be OK, but no oracle install screen appears!!
============================

un0004:/oraclebackups/ora_928_patchfiles/Disk1 # runInstaller
Starting Oracle Universal Installer...

Checking installer requirements...

Checking operating system version: must be B.11.11. Actual B.11.11
Passed

Checking swap space: must be greater than 150 MB. Actual 18432MB Passed

All installer requirements met.

Preparing to launch Oracle Universal Installer from /oraclebackups/OraInstall2007-05-09_10-09-51AM. Please wait ...un0004:/oraclebackups/ora_928_patchfiles/Disk1 #

=========================

Don't know what's happening!
Anybody?
Thanks,
Ron Sahertian

(ps, i did an export of DISPLAY and the free space of the TMP directory is enough)
14 REPLIES
Steven E. Protter
Exalted Contributor

Re: Oracle Installer upgrade from 9.2.0.7 naar 9.2.0.8

Shalom,

Lovely there may be permissions problems on teh driectories its listing.

Check the install log and take a look at what processes are running.

Its entirely possible ORacle has delivered a bad install script.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Rob van Buiten
Regular Advisor

Re: Oracle Installer upgrade from 9.2.0.7 naar 9.2.0.8

Hi Steven,

I ran this same script earlier and it has worked...

Thanks,
Ron
Yogeeraj_1
Honored Contributor

Re: Oracle Installer upgrade from 9.2.0.7 naar 9.2.0.8

hi Ron,

can you post the logfile generated when the command was launched?

Also, make sure that the xclock command successfully displays the window.

kind regards
yogeeraj
No person was ever honoured for what he received. Honour has been the reward for what he gave (clavin coolidge)
Rob van Buiten
Regular Advisor

Re: Oracle Installer upgrade from 9.2.0.7 naar 9.2.0.8

Hi,

This is the logfile!
====================
more installActions2007-05-09_09-15-49AM.log
Using paramFile: /oracle/EXP/oui/oraparam.ini


Checking installer requirements...

Checking operating system version: must be B.11.11. Actual B.11.11
Passed

Checking swap space: must be greater than 150 MB. Actual 18432MB Passed

All installer requirements met.
===========================================

And xclock produces a nice graphical clock!

Thanks,
Ron
Yogeeraj_1
Honored Contributor

Re: Oracle Installer upgrade from 9.2.0.7 naar 9.2.0.8

Hi again,

will it be possible to clear all the installation and retry again?

I mean logfiles, repositories, existing directories, etc

Also make sure that you have gone through the pre-installation tasks as well as run the VALIDATE script to verify that your environment is OK for the installation.

let us know

kind regards
yogeeraj
No person was ever honoured for what he received. Honour has been the reward for what he gave (clavin coolidge)
Rob van Buiten
Regular Advisor

Re: Oracle Installer upgrade from 9.2.0.7 naar 9.2.0.8

Thanks,

What VALIDATE script is available???

Ron
Yogeeraj_1
Honored Contributor

Re: Oracle Installer upgrade from 9.2.0.7 naar 9.2.0.8

hi Ron,

Sorry for the confusion.

InstallPrep, VALIDATE or RDA script is available from metalink. This tool enable you in verifying your environment - if ok for the installation.

With RDA, you are offered option for the following:
Available Pre-Installation Rule Sets:
1. Oracle Database 10g R1 (10.1.0) PreInstall (linux-x86)
2. Oracle Database 10g R1 (10.1.0) PreInstall (linux-amd64)
3. Oracle Database 10g R1 (10.1.0) PreInstall (linux-ia64)
4. Oracle Database 10g R2 (10.2.0) PreInstall (linux-amd64)
5. Oracle Database 10g R2 (10.2.0) PreInstall (linux-x86)
6. Oracle Application Server 10g (9.0.4) PreInstall (linux)
7. Oracle Application Server 10g R2 (10.1.2) PreInstall (linux)
8. Oracle Portal PreInstall (generic)
Available Post-Installation Rule Sets:
9. Oracle Portal PostInstall (generic)
10. Data GuardPortal PostInstall (generic)

VALIDATE script was used for 10g installations. This was pre-RDA.

Pre-VALIDATE was InstallPrep Script.
This has been de-supported and more information as well as the script is available with Metalink Note:189256.1 Subject: UNIX: Script to Verify Installation Requirements for Oracle 8.0.5 to 9.2 versions of RDBMS


hope this helps too!

kind regards
yogeeraj


No person was ever honoured for what he received. Honour has been the reward for what he gave (clavin coolidge)
Volker Borowski
Honored Contributor

Re: Oracle Installer upgrade from 9.2.0.7 naar 9.2.0.8

Hi,

I am assuming a missmatch of the required JAVA virtual machine (libjvm.sl).

Since it worked earlier and it does not work now ...

Did you change either JAVA_HOME in your environment or did you update to a nonsupported (may be too high) version in you current JAVA_HOME or did you apply a patch that has garbled esp. this file libjvm.sl ?

Does
find / -name libjvm.sl
suggests another location where SHLIB_PATH might be successfull ?

Good hunting
Volker
Court Campbell
Honored Contributor

Re: Oracle Installer upgrade from 9.2.0.7 naar 9.2.0.8

Oh my. Rob, if you can... stay on 9.2.0.7. Or move to 10g. I have heard it is not worth it. More pain than pleasure. Not unless your application is forcing you to move to it.
"The difference between me and you? I will read the man page." and "Respect the hat." and "You could just do a search on ITRC, you don't need to start a thread on a topic that's been answered 100 times already." Oh, and "What. no points???"
Rob van Buiten
Regular Advisor

Re: Oracle Installer upgrade from 9.2.0.7 naar 9.2.0.8

Court,

Is it really that bad 9.2.0.8?
We have to upgrade because of oracle support!

Thanks,
Ron
Rob van Buiten
Regular Advisor

Re: Oracle Installer upgrade from 9.2.0.7 naar 9.2.0.8

Volker,

I found more versions of "libjvm.sl"
But how do I know which is the right one? And when I find the right one, how do I tell the installer to use that file(s)?

I noticed also that the installer builds an lib directory in /tmp where this file also present is.

Thanks,
Ron

=========================================
I am assuming a missmatch of the required JAVA virtual machine (libjvm.sl).

Since it worked earlier and it does not work now ...

Did you change either JAVA_HOME in your environment or did you update to a nonsupported (may be too high) version in you current JAVA_HOME or did you apply a patch that has garbled esp. this file libjvm.sl ?

Does
find / -name libjvm.sl
suggests another location where SHLIB_PATH might be successfull ?
======================================
Volker Borowski
Honored Contributor
Solution

Re: Oracle Installer upgrade from 9.2.0.7 naar 9.2.0.8

I'd assume to set may be
"."
in the SHLIB_PATH first, and start the Installer
with ./runInstaller.

First shots so far.

Did you see this ?
http://forums1.itrc.hp.com/service/forums/questionanswer.do?threadId=1075355

May be you have a wrong patch version.

Hope this helps
Volker
Rob van Buiten
Regular Advisor

Re: Oracle Installer upgrade from 9.2.0.7 naar 9.2.0.8

Volker,

That "." did the job!!!!

SHLIB_PATH=.:/usr/lib
export SHLIB_PATH


Thanks!
Volker Borowski
Honored Contributor

Re: Oracle Installer upgrade from 9.2.0.7 naar 9.2.0.8

Fine :-)

but do not set this as a standard.
Having . in either PATH or shared libraray environment is not so good for security reasons. Even libs might get spoofed.

Volker